<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<link th:href="@{../assets/css/style.css}" href="../static/assets/css/style.css" rel="stylesheet"
      id="bootstrap-css">
<head>
  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>DeliverIT - Home Page</title>
  <meta content="" name="description">
  <meta content="" name="keywords">

  <!-- Favicons -->
  <link th:href="@{~/assets/img/favicon.png}" href="../static/assets/img/favicon.png" rel="icon">

  <!-- Google Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link th:href="@{~/assets/vendor/bootstrap/css/bootstrap.min.css}" href="../static/assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link th:href="@{~/assets/vendor/bootstrap-icons/bootstrap-icons.css}" href="../static/assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
  <link th:href="@{~/assets/vendor/boxicons/css/boxicons.min.css}" href="../static/assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
  <link th:href="@{~/assets/vendor/glightbox/css/glightbox.min.css}" href="../static/assets/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
  <link th:href="@{~/assets/vendor/remixicon/remixicon.css}" href="../static/assets/vendor/remixicon/remixicon.css" rel="stylesheet">
  <link th:href="@{~/assets/vendor/swiper/swiper-bundle.min.css}" href="../static/assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">

  <!-- Template Main CSS File -->
  <link th:href="@{~/assets/css/style.css}" href="../static/assets/css/style.css" rel="stylesheet">

  <!-- =======================================================
  * Template Name: KnightOne - v4.0.1
  * Template URL: https://bootstrapmade.com/knight-simple-one-page-bootstrap-template/
  * Author: BootstrapMade.com
  * License: https://bootstrapmade.com/license/
  ======================================================== -->
</head>

<body>

  <!-- ======= Header ======= -->
  <header th:fragment="header" id="header" class="fixed-top ">
    <div class="container-fluid">

      <div class="row justify-content-center">
        <div class="col-xl-9 d-flex align-items-center justify-content-lg-between">
          <h1 class="logo me-auto me-lg-0" th:text="#{home.name}" th:href="@{/}"><a href="index.html">DeliverIT</a></h1>
          <!-- Uncomment below if you prefer to use an image logo -->
          <!-- <a href="index.html" class="logo me-auto me-lg-0"><img src="assets/img/logo.png" alt="" class="img-fluid"></a>-->

          <nav id="navbar" class="navbar order-last order-lg-0">
            <ul>
              <li><a class="nav-link scrollto active" href="#hero">Home</a></li>
              <li><a class="nav-link scrollto" href="#about">About</a></li>
              <li><a class="nav-link scrollto" href="#contact">Contact</a></li>
              <li th:if="${currentUser == null || currentUser.getRole().getName().equalsIgnoreCase('Customer')}">
                <a class="nav-link " th:href="@{/warehouses}" href="warehouses.html">Warehouses</a></li>
              <li th:if="${currentUser != null}" ><a class="nav-link scrollto"
                                                     th:href="@{/profile/{id}(id=${currentUser.getId()})}"
                                                     href="profile.html">Profile</a></li>
              <li th:if="${currentUser != null && currentUser.getRole().getName().equalsIgnoreCase('Customer')}">
                <a class="nav-link " th:href="@{/my-parcels}" href="warehouses.html">My Parcels</a></li>
              <li th:if="${ currentUser != null && currentUser.getRole().getName().equalsIgnoreCase('Employee')}"
                  class="dropdown"><a href="#"><span>Employee Options</span> <i class="bi bi-chevron-down"></i></a>
                <ul>
                  <li class="dropdown"><a href="#"><span>Warehouse</span> <i
                          class="bi bi-chevron-right"></i></a>
                    <ul>
                      <li><a href="#" th:href="@{/warehouses}">All Warehouses</a></li>
                      <li><a href="#" th:href="@{/warehouses/create}" >Create</a></li>
                    </ul>
                  </li>

                  <li class="dropdown"><a href="#"><span>Shipments</span> <i
                          class="bi bi-chevron-right"></i></a>
                    <ul>
                      <li><a href="#" th:href="@{/shipments}">All Shipments</a></li>
                      <li><a href="#" th:href="@{/shipments/next-shipment}">Next Shipment</a></li>
                      <li><a href="#" th:href="@{/shipments/create}">Create</a></li>
                    </ul>
                  </li>
                  <li class="dropdown"><a href="#"><span>Parcels</span> <i
                          class="bi bi-chevron-right"></i></a>
                    <ul>
                      <li><a href="#" th:href="@{/parcels}">All Parcels</a></li>
                      <li><a href="#" th:href="@{/parcels/create}">Create</a></li>
                    </ul>
                  </li>
                </ul>
              </li>

            </ul>
            <i class="bi bi-list mobile-nav-toggle"></i>
          </nav><!-- .navbar -->

          <li th:if="${currentUser == null}">
            <a href="login.html" class="log-in" th:text="Login" th:href="@{login}">Login</a>
          </li>

          <li th:if="${currentUser == null}">
            <a href="register.html" class="register-me" th:text="Register" th:href="@{register}">Register</a>
          </li>

          <li th:if="${currentUser != null}">
            <a href="#" class="sign-out-me" th:href="@{/logout}">Sign out</a>
          </li>

        </div>
      </div>

    </div>
  </header><!-- End Header -->

  <!-- ======= Hero Section ======= -->
  <section id="hero" class="d-flex flex-column justify-content-center">
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-xl-8">
          <h1 th:if="${currentUser != null}" th:text="#{home.welcome.user(${currentUser.getFirstName()})}"></h1>
          <h1 th:unless="${currentUser != null}" th:text="#{home.welcome}">Welcome to DeliverIT</h1>
          <h2  th:text="#{home.slogan}">You buy we deliver</h2>
        </div>
      </div>
    </div>
  </section><!-- End Hero -->

  <main id="main">

    <!-- ======= About Us Section ======= -->
    <section id="about" class="about">
      <div class="container">

        <div class="section-title">
          <h2>About Us</h2>
          <p>Magnam dolores commodi suscipit. Necessitatibus eius consequatur ex aliquid fuga eum quidem. Sit sint consectetur velit. Quisquam quos quisquam cupiditate. Et nemo qui impedit suscipit alias ea. Quia fugiat sit in iste officiis commodi quidem hic quas.</p>
        </div>

        <div class="row content">
          <div class="col-lg-6">
            <p>
              Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore
              magna aliqua.
            </p>
            <ul>
              <li><i class="ri-check-double-line"></i> Ullamco laboris nisi ut aliquip ex ea commodo consequat</li>
              <li><i class="ri-check-double-line"></i> Duis aute irure dolor in reprehenderit in voluptate velit</li>
              <li><i class="ri-check-double-line"></i> Ullamco laboris nisi ut aliquip ex ea commodo consequat</li>
            </ul>
          </div>
          <div class="col-lg-6 pt-4 pt-lg-0">
            <p>
              Ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate
              velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
              culpa qui officia deserunt mollit anim id est laborum.
            </p>
          </div>
        </div>

      </div>
    </section><!-- End About Us Section -->

    <!-- ======= Counts Section ======= -->
    <section id="counts" class="counts">
      <div class="container">

        <div class="text-center title">
          <h3>What we have achieved so far</h3>
        </div>

        <div class="row counters position-relative">

          <div class="col-lg-3 col-6 text-center">
            <div th:text="${allCustomers.size()}" class="counter-content">Customers</div>
            <p>Customers</p>
          </div>

          <div class="col-lg-3 col-6 text-center">
            <div th:text="${allWarehouses.size()}" class="counter-content">Warehouse</div>
            <p>Warehouses</p>
          </div>

          <div class="col-lg-3 col-6 text-center">
            <span data-purecounter-start="0" data-purecounter-end="8" data-purecounter-duration="1" class="purecounter"></span>
            <p>Years Of Service</p>
          </div>

          <div class="col-lg-3 col-6 text-center">
            <div th:text="${allEmployees.size()}" class="counter-content">Customers</div>
            <p>Employees</p>
          </div>

        </div>

      </div>
    </section><!-- End Counts Section -->

    <!-- ======= Faq Section ======= -->
    <section id="faq" class="faq">
      <div class="container-fluid">

        <div class="row">

          <div class="col-lg-7 d-flex flex-column justify-content-center align-items-stretch  order-2 order-lg-1">

            <div class="content">
              <h3>Frequently Asked <strong>Questions</strong></h3>
              <p>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Duis aute irure dolor in reprehenderit
              </p>
            </div>

            <div class="accordion-list">
              <ul>
                <li>
                  <a data-bs-toggle="collapse" class="collapse" data-bs-target="#accordion-list-1">Non consectetur a erat nam at lectus urna duis? <i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
                  <div id="accordion-list-1" class="collapse show" data-bs-parent=".accordion-list">
                    <p>
                      Feugiat pretium nibh ipsum consequat. Tempus iaculis urna id volutpat lacus laoreet non curabitur gravida. Venenatis lectus magna fringilla urna porttitor rhoncus dolor purus non.
                    </p>
                  </div>
                </li>

                <li>
                  <a data-bs-toggle="collapse" data-bs-target="#accordion-list-2" class="collapsed">Feugiat scelerisque varius morbi enim nunc? <i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
                  <div id="accordion-list-2" class="collapse" data-bs-parent=".accordion-list">
                    <p>
                      Dolor sit amet consectetur adipiscing elit pellentesque habitant morbi. Id interdum velit laoreet id donec ultrices. Fringilla phasellus faucibus scelerisque eleifend donec pretium. Est pellentesque elit ullamcorper dignissim. Mauris ultrices eros in cursus turpis massa tincidunt dui.
                    </p>
                  </div>
                </li>

                <li>
                  <a data-bs-toggle="collapse" data-bs-target="#accordion-list-3" class="collapsed">Dolor sit amet consectetur adipiscing elit? <i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
                  <div id="accordion-list-3" class="collapse" data-bs-parent=".accordion-list">
                    <p>
                      Eleifend mi in nulla posuere sollicitudin aliquam ultrices sagittis orci. Faucibus pulvinar elementum integer enim. Sem nulla pharetra diam sit amet nisl suscipit. Rutrum tellus pellentesque eu tincidunt. Lectus urna duis convallis convallis tellus. Urna molestie at elementum eu facilisis sed odio morbi quis
                    </p>
                  </div>
                </li>

              </ul>
            </div>

          </div>

          <div class="col-lg-5 align-items-stretch order-1 order-lg-2 img" style='background-image: url("../static/assets/img/faq.jpg");' th:src="@{assets/img/faq.jpg}">
            <img style='background-image: url("../static/assets/img/faq.jpg");' th:src="@{~/assets/img/faq.jpg}" alt="Question Mark" src="../static/assets/img/faq.jpg">
          </div>
        </div>

      </div>
    </section><!-- End Faq Section -->

    <!-- ======= Contact Section ======= -->
    <section id="contact" class="contact">
      <div class="container">

        <div class="section-title">
          <h2>Contact</h2>
          <p>Magnam dolores commodi suscipit. Necessitatibus eius consequatur ex aliquid fuga eum quidem. Sit sint consectetur velit. Quisquam quos quisquam cupiditate. Et nemo qui impedit suscipit alias ea. Quia fugiat sit in iste officiis commodi quidem hic quas.</p>
        </div>
      </div>

      <div>
        <iframe style="border:0; width: 100%; height: 350px;" src="https://maps.google.com/maps?width=100%25&amp;height=600&amp;hl=en&amp;q=%D1%83%D0%BB.%20%D0%A1%D1%82%D1%80%D1%83%D0%BC%D0%B0%2021+(My%20Business%20Name)&amp;t=&amp;z=14&amp;ie=UTF8&amp;iwloc=B&amp;output=embed"  frameborder="0" allowfullscreen></iframe>
<!--        <iframe style="border:0; width: 100%; height: 350px;" src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d12097.433213460943!2d-74.0062269!3d40.7101282!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0xb89d1fe6bc499443!2sDowntown+Conference+Center!5e0!3m2!1smk!2sbg!4v1539943755621" frameborder="0" allowfullscreen></iframe>-->
      </div>

      <div class="container">

        <div class="row mt-5">

          <div class="col-lg-4">
            <div class="info">
              <div class="address">
                <i class="ri-map-pin-line"></i>
                <h4>Location:</h4>
                <p th:text="#{contact.address}">Address</p>
              </div>

              <div class="email">
                <i class="ri-mail-line"></i>
                <h4>Email:</h4>
                <p th:text="#{contact.email}" >Email</p>
              </div>

              <div class="phone">
                <i class="ri-phone-line"></i>
                <h4>Call:</h4>
                <p th:text="#{contact.phone}">Phone</p>
              </div>

            </div>

          </div>

          <div class="col-lg-8 mt-5 mt-lg-0">

            <form action="../static/forms/contact.php" method="post" role="form" class="php-email-form">
              <div class="row">
                <div class="col-md-6 form-group">
                  <label for="name"></label><input type="text" name="name" class="form-control" id="name" placeholder="Your Name" required>
                </div>
                <div class="col-md-6 form-group mt-3 mt-md-0">
                  <label for="email"></label><input type="email" class="form-control" name="email" id="email" placeholder="Your Email" required>
                </div>
              </div>
              <div class="form-group mt-3">
                <label for="subject"></label><input type="text" class="form-control" name="subject" id="subject" placeholder="Subject" required>
              </div>
              <div class="form-group mt-3">
                <label>
                  <textarea class="form-control" name="message" rows="5" placeholder="Message" required></textarea>
                </label>
              </div>
              <div class="my-3">
                <div class="loading">Loading</div>
                <div class="error-message"></div>
                <div class="sent-message">Your message has been sent. Thank you!</div>
              </div>
              <div class="text-center"><button type="submit">Send Message</button></div>
            </form>

          </div>

        </div>

      </div>
    </section><!-- End Contact Section -->

  </main><!-- End #main -->

  <!-- ======= Footer ======= -->
  <footer id="footer">
    <div class="container">
      <h3 th:text="#{home.name}" >DeliverIt</h3>
      <p>Et aut eum quis fuga eos sunt ipsa nihil. Labore corporis magni eligendi fuga maxime saepe commodi placeat.</p>
      <div class="social-links">
        <a href="#" class="twitter"><i class="bx bxl-twitter"></i></a>
        <a href="#" class="discord"><i class="bx bxl-apple"></i></a>
        <a href="#" class="facebook"><i class="bx bxl-facebook"></i></a>
        <a href="#" class="instagram"><i class="bx bxl-instagram"></i></a>
        <a href="#" class="linkedin"><i class="bx bxl-linkedin"></i></a>
      </div>
      <div class="copyright">
        &copy; Copyright <strong><span th:text="#{home.name}">DeliverIt</span></strong>. All Rights Reserved
      </div>
      <div class="credits">
        <!-- All the links in the footer should remain intact. -->
        <!-- You can delete the links only if you purchased the pro version. -->
        <!-- Licensing information: https://bootstrapmade.com/license/ -->
        <!-- Purchase the pro version with working PHP/AJAX contact form: https://bootstrapmade.com/knight-simple-one-page-bootstrap-template/ -->
        Designed by <a href="https://bootstrapmade.com/">BootstrapMade</a>
      </div>
    </div>
  </footer><!-- End Footer -->

  <div id="preloader"></div>
  <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

  <!-- Vendor JS Files -->
  <script th:src="@{~/assets/vendor/bootstrap/js/bootstrap.bundle.min.js}" src="../static/assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script th:src="@{~/assets/vendor/glightbox/js/glightbox.min.js}" src="../static/assets/vendor/glightbox/js/glightbox.min.js"></script>
  <script th:src="@{~/assets/vendor/isotope-layout/isotope.pkgd.min.js}" src="../static/assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
  <script th:src="@{~/assets/vendor/php-email-form/validate.js}" src="../static/assets/vendor/php-email-form/validate.js"></script>
  <script th:src="@{~/assets/vendor/purecounter/purecounter.js}" src="../static/assets/vendor/purecounter/purecounter.js"></script>
  <script th:src="@{~/assets/vendor/swiper/swiper-bundle.min.js}" src="../static/assets/vendor/swiper/swiper-bundle.min.js"></script>

  <!-- Template Main JS File -->
  <script th:src="@{~/assets/js/main.js}" src="../static/assets/js/main.js"></script>

</body>

</html>